Bug 145769 - e1000 guives e1000_set_spd_dplx: Unsupported Speed/Duplexity configuration
e1000 guives e1000_set_spd_dplx: Unsupported Speed/Duplexity configuration
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-21 07:29 EST by Robson Miranda
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:21:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robson Miranda 2005-01-21 07:29:11 EST
Description of problem:
When I use the mii-tool utility to force the media type to
100baseTX-FD (the network card autonegotiate result is 100baseTx-HD),
the message
e1000_set_spd_dplx: Unsupported Speed/Duplexity configuration
is logged by the kernel. Besides this, the link goes down for about
two seconds, and, when it comes up again, the speed and duplex are
correct (100baseTx-FD).
As a side note, the port is configured at the switch to not use
autonegotation, and is setted to 100baseTx, full-duplex. 


Version-Release number of selected component (if applicable):
kernel -2.6.10-1.741_FC3

How reproducible:
Always

Steps to Reproduce:
1. Connect to an 100baseTx port (in my case, it is connected to an
Allied Telesyn AT-SB4000 switch, in a 48-port blade. The port is
configured to 100baseTx-FD). 
2. mii-tool -F 100baseTx-FD

    

Actual Results:  The duplexity is changed, and the message
e1000_set_spd_dplx: Unsupported Speed/Duplexity configuration is
logged by the kernel

Expected Results:  The duplexity is changed, but no error message
should be logged.

Additional info:

dmesg output

e1000: eth0: e1000_watchdog: NIC Link is Up 100 Mbps Half Duplex
eth0: no IPv6 routers present
e1000: eth0: e1000_set_spd_dplx: Unsupported Speed/Duplexity configuration
e1000: eth0: e1000_watchdog: NIC Link is Down
e1000: eth0: e1000_watchdog: NIC Link is Up 100 Mbps Full Duplex
Comment 1 Dave Jones 2005-01-21 13:28:32 EST
miitool has been deprecated in favour of ethtool for quite some time,
can you try using that ?
Comment 2 Robson Miranda 2005-01-24 07:30:48 EST
Ok, using ethtool worked fine.

Thanks.
Comment 3 Dave Jones 2005-07-15 13:51:23 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dave Jones 2005-10-02 20:21:12 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.